/*
 *
 *  @(#)debug.c 1.4 92/12/20    (c) PACT
 *
 *  PSERVER - PACT host server
 *
 *  Copyright (c) 1991, 1992 PACT
 *  All Rights Reserved
 *
 *  (Mock-up) debugger support.
 *
 */

#include    "xserver.h"                 /* general defs */
#include    "debug.h"                   /* own defs and decls */


/*
 *
 *      int debug_init ()
 *
 *  Dummy debug fn.  Always fails.
 *
 *  Args:   INT32   csdesc              Rets:   -
 *
 */

void SpDebugInit()
{
#if PSERVER_EXTENSION
    if (pserverext){
        put_8( ER_ERROR );
        put_count( OutCount );
    }
    else
#endif
    put_8( ER_UNIMPLEMENTED );
    put_count( OutCount );
}


/*
 *
 *      int debug_bpt ()
 *
 *  Dummy debug fn.  Always fails.
 *
 *  Args:   -                           Rets:   -
 *
 */

void SpDebugBpt()
{
#if PSERVER_EXTENSION
    if (pserverext) {
        put_8( ER_ERROR );
        put_count( OutCount );
    }
    else
#endif
    put_8( ER_UNIMPLEMENTED );
    put_count( OutCount );
}


